Bug 12500 - Fix flakey ctdb autobuild
Fix flakey ctdb autobuild
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.6.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-06 00:33 UTC by Amitay Isaacs
Modified: 2017-01-24 20:00 UTC (History)
4 users (show)

See Also:


Attachments
Patches for v4-6 (25.78 KB, patch)
2017-01-10 03:28 UTC, Amitay Isaacs
martins: review+
metze: review+
Details
Patches for v4-5 (4.99 KB, patch)
2017-01-11 00:15 UTC, Amitay Isaacs
martins: review+
amitay: review? (metze)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2017-01-06 00:33:17 UTC
- Fix bugs in socket I/O and sock daemon code.
- Fix race condition in cluster_wait computation.
Comment 1 Amitay Isaacs 2017-01-10 03:28:01 UTC
Created attachment 12809 [details]
Patches for v4-6
Comment 2 Stefan Metzmacher 2017-01-10 07:39:05 UTC
Pushing to autobuild-v4-6-test
Comment 3 Martin Schwenke 2017-01-10 08:36:04 UTC
Should we push the 5th commit to 4.5 too?  Are we seeing ctdb/tests/simple/54_transaction_loop_recovery.sh flaky in 4.5 autobuilds?
Comment 4 Stefan Metzmacher 2017-01-10 14:03:23 UTC
Pushed to v4-6-test.

Amitay, Martin, feel free to propose something for older releases.
as far as I know the older autobuilds are also very flakey.
Comment 5 Amitay Isaacs 2017-01-11 00:15:42 UTC
Created attachment 12820 [details]
Patches for v4-5
Comment 6 Martin Schwenke 2017-01-11 06:22:47 UTC
Hi Karolin,

Now ready for 4.5 too...

Thanks...
Comment 7 Karolin Seeger 2017-01-11 08:13:07 UTC
(In reply to Martin Schwenke from comment #6)
Pushed to autobuild-v4-5-test.
Comment 8 Karolin Seeger 2017-01-24 20:00:44 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-5-test.
Closing out bug report.

Thanks!